# types.SimplePermissions

[@polymeshassociation/polymesh-sdk](/polymesh-sdk-api-reference/docs-alpha/classes.md) / [Modules](/polymesh-sdk-api-reference/docs-alpha/modules.md) / [types](/polymesh-sdk-api-reference/docs-alpha/modules-1/types.md) / SimplePermissions

## Interface: SimplePermissions

[types](/polymesh-sdk-api-reference/docs-alpha/modules-1/types.md).SimplePermissions

This represents positive permissions (i.e. only "includes"). It is used for specifying procedure requirements and querying if an Account has certain permissions. Null values represent full permissions in that category

### Table of contents

#### Properties

* [assets](#assets)
* [portfolios](#portfolios)
* [transactions](#transactions)

### Properties

#### assets

• `Optional` **assets**: `null` | [`Asset`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_asset.asset.md)\[]

list of required Asset permissions

**Defined in**

[types/index.ts:964](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/types/index.ts#L964)

***

#### portfolios

• `Optional` **portfolios**: `null` | ([`NumberedPortfolio`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_numberedportfolio.numberedportfolio.md) | [`DefaultPortfolio`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_defaultportfolio.defaultportfolio.md))\[]

**Defined in**

[types/index.ts:970](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/types/index.ts#L970)

***

#### transactions

• `Optional` **transactions**: `null` | `TxTag`\[]

list of required Transaction permissions

**Defined in**

[types/index.ts:968](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/types/index.ts#L968)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-alpha/interfaces/types.simplepermissions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
